# FIXME: Before package was based on openSUSE package. Now it uses Debian package. Also there is git repo
# https://github.com/ganwell/dmz-cursors with high-resolution sizes. May be this is the best option?

Name:           dmz-cursor-themes
Version:        0.4.5
Release:        1%{?dist}
Summary:        Style neutral cursors themes
License:        CC-BY-SA
URL:            https://packages.debian.org/sid/gnome/dmz-cursor-theme
Source0:        http://ftp.debian.org/debian/pool/main/d/dmz-cursor-theme/dmz-cursor-theme_%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  xcursorgen

%description
Scalable, style-neutral cursor themes based on the Industrial cursors designed
by Jakub Steiner for the Ximian GNOME Desktop.

%prep
%autosetup -n dmz-cursor-theme-%{version}

%build
for color in White Black; do
    cd %{_builddir}/dmz-cursor-theme-%{version}/DMZ-$color/pngs
    ./make.sh
    cd ../xcursors
    ln -s left_ptr default
    ln -s hand pointer
    ln -s left_ptr_watch progress
    ln -s watch wait
    ln -s xterm text
    ln -s dnd-link alias
    ln -s crossed_circle not-allowed
    ln -s hand1 grab
    ln -s sb_h_double_arrow col-resize
    ln -s sb_v_double_arrow row-resize
    ln -s top_side n-resize
    ln -s right_side e-resize
    ln -s bottom_side s-resize
    ln -s left_side w-resize
    ln -s top_right_corner ne-resize
    ln -s top_left_corner nw-resize
    ln -s bottom_left_corner sw-resize
    ln -s bottom_right_corner se-resize
    ln -s sb_h_double_arrow ew-resize
    ln -s sb_v_double_arrow ns-resize
    ln -s fd_double_arrow nesw-resize
    ln -s bd_double_arrow nwse-resize
    ln -s bd_double_arrow size_fdiag
    ln -s fd_double_arrow size_bdiag
    ln -s sb_h_double_arrow size_hor
    ln -s sb_v_double_arrow size_ver
    ln -s fleur size_all
done

%install
for color in White Black; do
    install -d %{buildroot}%{_datadir}/icons/DMZ-$color/cursors
    install -m644 DMZ-$color/cursor.theme %{buildroot}%{_datadir}/icons/DMZ-$color/
    install -m644 DMZ-$color/index.theme %{buildroot}%{_datadir}/icons/DMZ-$color/
    install -m644 DMZ-$color/xcursors/* -t %{buildroot}%{_datadir}/icons/DMZ-$color/cursors/
done

%files
%doc debian/copyright
%{_datadir}/icons/DMZ-White/
%{_datadir}/icons/DMZ-Black/

%changelog
* Mon May 13 2019 Ivan Romanov <drizt72@zoho.eu> - 0.4.5-1
- Update to v0.4.5 based on Debian package. Thanks to Link Dupont.

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar 04 2010 Benjamin Otte <otte@redhat.com> 0.4-3
- Update to new snapshot
- Change to new license CC-BY-SA

* Tue Feb 16 2010 Benjamin Otte <otte@redhat.com> 0.4-2
- Correct source download information

* Mon Feb 15 2010 Benjamin Otte <otte@redhat.com> 0.4-1
- Initial packaging
